## Installation

Add this line to your application's Gemfile:

```ruby
gem 'shopify_gdpr'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install shopify_gdpr

## Usage

Generate the three required endpoints for Shopify's GDPR webhooks with `rails generate shopify_gdpr`
NOTE: shop/redact assumes use of the Shop class generated by the ShopifyAPI / ShopifyApp engines.

The three endpoints to direct webhooks at:
`/shop_redact`
`/customers_redact`
`/customers_data_request`


## Validation

Add the ShopifyApp::WebhookVerification module with the `--validate` option when running the generator.
This module assumes that your app has its secret API key saved to ShopifyApp.config.secret

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/jdgc/shopify_gdpr.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
